get
https://{subdomain}.workable.com/spi/v3/candidates//activities
Returns the activity stream of the given candidate. Required scope: r_candidates. Accessible with all token types.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Results
Calling the /candidates/:id/activities endpoint returns a JSON array of the candidate's activities.
| key | description |
|---|---|
| activities | array of activities |
Each activity has the following keys:
| key | type | description |
|---|---|---|
| action | string | The action/type of the activity |
| stage_name | string | The stage the candidate was in when the activity was created (We populate the stage_name only for the activities that are created when a candidate is getting moved from one stage to another.) |
| action_stage | object | The stage the candidate was when the action was initiated, including the its id and name |
| target_stage | object | The stage that the candidate landed as a result of the action (target_stage is only populated for move activities) |
| created_at | string | The creation timestamp of the activity |
| updated_at | string | The activity’s last update timestamp |
| member | object | The member that created the activity (if applicable), contains id and name of the member |
| body | string | The body of the activity, available if action is comment, rating, message or disqualification |
| rating | object | Contains the score of the activity, if action is rating |
| visibility_roles | array(string) | Includes all collaboration roles (comma separated) capable of viewing the activity - admin, recruiting_admin, hiring_manager, simple, reviewer, recruiter. It is available for single and bulk activities of action: comment, ratingand message |
